Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_size

## Name

librdf_model_size -- get the number of statements in the model

## Synopsis

``int `librdf_model_size`` (librdf_model* `model`);`

## Arguments

`model`

  librdf_model object

## WARNING

Not all underlying stores can return the size of the graph In which case the return value will be negative.

## Return value

the number of statements or <0 if not possible

<<< Previous | Home | Next >>>
librdf_free_model | Up | librdf_model_add_statement